{if $articles}
<ul class="mod_bcon_list">
	{foreach key=tid item=article from=$articles}
		<li>
			<div class="line">
				<a class="mod_bcon_content" href="{$article.url}">{$article.title}</a> 
			</div>
			<div class="line mod_bcon_info">
				<span class="mod_bcon_karma">{$article.rating|rating}</span>
				<span class="mod_bcon_date">{$article.fpubdate}</span> (<a class="mod_bcon_author" href="{profile_url login=$article.user_login}">{$article.author}</a>)
			</div>
			{if $cfg.showdesc neq 0}
			    {if $article.image}
					<div class="mod_latest_image">
						<img src="/images/photos/small/{$article.image}" border="0" width="32" height="32" alt="{$article.title|escape:'html'}"/>
					</div>
				{/if}
				<div class="line"><span class="mod_bcon_desc">{$article.description}</span></div>							  
				<div class="line"><a class="mod_bcon_readmore" href="{$article.url}">{$LANG.BB_CUT_DEMO}</a></div>
			{/if}
		</li>								
	{/foreach}
</ul>
{if $cfg.showlink neq 0}
	<div style="text-align:right">
		<br />
		<a href="/content/top.html">{$LANG.BESTCONTENT_FULL_RATING}</a> &rarr;
	</div>
{/if}
{else}
<p>{$LANG.BESTCONTENT_NOT_ARTICLES}</p>
{/if}